Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Dmitry Gutov <[email-masked]>
Date: Mon, 31 Oct 2022 19:33:35 +0200

On 31.10.2022 16:35, Philip Kaludercic wrote:
>> It's quite clear that_some_  non-file-visiting buffers can be considered
>> as belonging to a project's working set.  But it's very very easy to
>> come up with many that cannot be considered so.
> I have to admit that I am more and more inclined to make the list a
> opt-in thing, where  we explicitly mark those major modes that are tied
> to a project.

The current contents of project-kill-buffer-conditions are more or less 
that already.

With the exception of the 'fundamental-mode' entry which creates an 
open-ended set. That one we could remove, or tweak by adding a buffer 
name condition, or a variable lookup.

My guess is that nobody will bother with setting the new variable, 
though (call it 'project-owned' or whatever), because killing project 
buffers is not an essential need for any 3rd party package, just 
something nice to have.